# Class JspELException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
jakarta.el.ELException
org.apache.jasper.el.JspELException

All Implemented Interfaces:
  `Serializable`

public class JspELException extends ELException
Exception wrapper that adds a JSP-specific mark to an ELException for better error tracking.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JspELException(String mark, ELException e)`
  Creates a new JspELException wrapping the given ELException with a mark prefix.

- ## Method Summary

  ### Methods inherited from class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### JspELException

    public JspELException(String mark, ELException e)
    Creates a new JspELException wrapping the given ELException with a mark prefix.
    Parameters:
      `mark` - the mark prefix to prepend to the error message
      `e` - the underlying ELException